//---------------------------------------------------------------------------
#ifndef fMainH
#define fMainH
//---------------------------------------------------------------------------
#include <Classes.hpp>
#include <Controls.hpp>
#include <StdCtrls.hpp>
#include <Forms.hpp>
#include <SGImage.hpp>
#include <ComCtrls.hpp>
#include <Dialogs.hpp>
#include <ExtCtrls.hpp>
#include <ExtDlgs.hpp>
#include <DXFConv.hpp>
#include <Menus.hpp>
#include <Buttons.hpp>
//---------------------------------------------------------------------------
class TfmMain : public TForm
{
__published:	// IDE-managed Components
  TPanel *pnlTop;
  TScrollBox *sbImage;
  TStatusBar *sbrCoords;
  TOpenPictureDialog *OpenDialog;
  TSavePictureDialog *SaveDialog;
  TMainMenu *mmMain;
  TMenuItem *mmiFile;
  TMenuItem *mmiOpen;
  TMenuItem *miSep;
  TMenuItem *mmiExit;
  TMenuItem *mmiEdit;
  TMenuItem *mmiAddNew;
  TMenuItem *mmiDelLast;
  TMenuItem *mmiSep0;
  TMenuItem *mmiSep1;
  TMenuItem *mmiSaveDXF;
  TMenuItem *mmiView;
  TMenuItem *mmiZoomIn;
  TMenuItem *mmiZoomOut;
  TMenuItem *mmiFitToWindow;
  TSpeedButton *btnOpen;
  TSpeedButton *btnSaveToDXF;
  TSpeedButton *SpeedButton1;
  TSpeedButton *btnZoomOut;
  TSpeedButton *btnNew;
  TSpeedButton *btnDelete;
  TMenuItem *mmiAbout;
  TSpeedButton *btnFitToWindow;
  TsgImage *sgCADImage;
  TSpeedButton *btnDirectExport;
  TMenuItem *mmiExportToDXF;
  TSpeedButton *btnShowLayers;
  void __fastcall FormCreate(TObject *Sender);
  void __fastcall btnOpenClick(TObject *Sender);
  void __fastcall FormMouseWheelDown(TObject *Sender, TShiftState Shift,
          TPoint &MousePos, bool &Handled);
  void __fastcall FormMouseWheelUp(TObject *Sender, TShiftState Shift,
          TPoint &MousePos, bool &Handled);
  void __fastcall btnZoomInClick(TObject *Sender);
  void __fastcall btnZoomOutClick(TObject *Sender);
  void __fastcall btnNewClick(TObject *Sender);
  void __fastcall btnDeleteClick(TObject *Sender);
  void __fastcall btnSaveToDXFClick(TObject *Sender);
  void __fastcall sgCADImageMouseMove(TObject *Sender, TShiftState Shift,
          int X, int Y);
  void __fastcall mmiExitClick(TObject *Sender);
  void __fastcall mmiFitToWindowClick(TObject *Sender);
  void __fastcall mmiAboutClick(TObject *Sender);
  void __fastcall btnDirectExportClick(TObject *Sender);
  void __fastcall btnShowLayersClick(TObject *Sender);
private:	// User declarations
  TsgDXFEntity *FLastAdded;
public:		// User declarations
  __fastcall TfmMain(TComponent* Owner);
};
//---------------------------------------------------------------------------
extern PACKAGE TfmMain *fmMain;
//---------------------------------------------------------------------------
#endif
 