unit Unit2;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, sgConsts;

type
  TForm2 = class(TForm)
    Label1: TLabel;
    Edit1: TEdit;
    Label2: TLabel;
    Label3: TLabel;
    Edit3: TEdit;
    Button1: TButton;
    Button2: TButton;
    Edit2: TEdit;
    procedure Button2Click(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure FormShow(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

//var
//  Form2: TForm2;

implementation

uses Unit1;

{$R *.dfm}

procedure TForm2.Button2Click(Sender: TObject);
begin
  Close;
end;

procedure TForm2.Button1Click(Sender: TObject);
var
  SearchPoint: TFPoint;
  vScale: Extended;
  vX, vY: Single;
  vExt: TFRect;
  DS: Char;
  S: string;
begin
  Form1.sgPaintBox.Align := alNone;
  vExt := Img.Extents;
  if AnsiPos(',', Edit1.Text) > 0 then
  begin
    DS := DecimalSeparator;
    DecimalSeparator := ',';
    vX := StrToFloat(Edit1.Text);
    DecimalSeparator := DS;
  end
  else
  begin
    DS := DecimalSeparator;
    DecimalSeparator := '.';
    vX := StrToFloat(Edit1.Text);
    DecimalSeparator := DS;
  end;
  if AnsiPos(',', Edit2.Text) > 0 then
  begin
    DS := DecimalSeparator;
    DecimalSeparator := ',';
    vY := StrToFloat(Edit2.Text);
    DecimalSeparator := DS;
  end
  else
  begin
    DS := DecimalSeparator;
    DecimalSeparator := '.';
    vY := StrToFloat(Edit2.Text);
    DecimalSeparator := DS;
  end;
  if (vExt.Left > vX) or (vExt.Right < vX) or (vExt.Top < vY) or (vExt.Bottom > vY) then
  begin
    ShowMessage('This point not in drawing extents.');
    Exit;
  end;
  SearchPoint.X := vX;
  SearchPoint.Y := vY;
  SearchPoint.Z := 0;

  S := Edit3.Text;
  if AnsiPos('%', S) > 0 then
    Delete(S, Length(S), 1);
  if AnsiPos(',', S) > 0 then
  begin
    DS := DecimalSeparator;
    DecimalSeparator := ',';
    vScale := StrToFloat(S);
    DecimalSeparator := DS;
  end
  else
  begin
    DS := DecimalSeparator;
    DecimalSeparator := '.';
    vScale := StrToFloat(S);
    DecimalSeparator := DS;
  end;
  Form1.sgPaintBox.ShowPoint(SearchPoint, vScale, Img.Extents);
  Close;
end;

procedure TForm2.FormShow(Sender: TObject);
begin
  //Edit3.Text := FloatToStr(Form1.sgPaintBox.Scale);
  Edit3.Text := IntToStr(Round(Form1.sgPaintBox.Scale * 100)) + '%';
end;

end.
